package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterDatabaseStatus extends DmSQLObjectImpl implements SQLAlterDatabaseItem {
   protected Status status;
   protected Boolean force;
   protected Boolean current;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public Status getStatus() {
      return this.status;
   }

   public void setStatus(Status status) {
      this.status = status;
   }

   public Boolean getForce() {
      return this.force;
   }

   public void setForce(Boolean force) {
      this.force = force;
   }

   public Boolean getCurrent() {
      return this.current;
   }

   public void setCurrent(Boolean current) {
      this.current = current;
   }

   public static enum Status {
      OPEN,
      MOUNT,
      SUSPEND,
      NORMAL,
      PRIMARY,
      STANDBY,
      ARCHIVELOG,
      NOARCHIVELOG;
   }
}
